package v2

import "time"

type SellerId string

// SellerArticle 销售商商品信息
type SellerArticle struct {
	ID        uint      `gorm:"primary_key" json:"-"`
	CreatedAt time.Time `json:"createdAt"`
	// 商品的ID
	ArticleID uint
	// 货号
	Pid string `gorm:"index:seller_pid_brand,unique" json:"pid"`
	// 品牌
	Brand string `gorm:"index:seller_pid_brand,unique" json:"brand"`
	// 销售商商品链接链接
	Link string `json:"link"`
	// 销售商id
	SellerId SellerId `gorm:"index:sellerId_sku,unique" json:"sellerId"`
	// 销售商的sku
	SkuID string `gorm:"index:sellerId_sku,unique"  json:"skuID"`
	// 当前成本价
	Sell SellerPrice `json:"sell" gorm:"type:json;serializer:json"`
	// 历史出售价格
	HistoryPrice []SellerPrice `json:"historyPrice"`
}

// SellerPrice 供应商成本价格
type SellerPrice struct {
	ID              uint      `gorm:"primary_key" json:"-"`
	CreatedAt       time.Time `json:"createdAt"`
	SellerArticleID uint      `gorm:"index"`
	// 出售最低价,单位为分
	OriginalPrice int `json:"originalPrice"`
	// 能拿到手的最终价格，单位为分
	FinalPrice int `json:"finalPrice"`
	//计算过程
	CalMark string `json:"calMark"`
}
